Package anbxj

# Class AnBx_ChannelMode

java.lang.Object
anbxj.AnBx_ChannelMode

public class AnBx_ChannelMode extends Object
AnBx Channel Mode: A class to store AnBx channel modes.

This class represents the mode of an AnBx channel, including the origin agent, destination agent, version agents, and mode flags such as forward (frw) and fresh.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnBx_ChannelMode(AnBx_Agent orig, AnBx_Agent dest, AnBx_Agent[] vers, boolean frw, boolean fresh)`
  Constructor for AnBx_ChannelMode.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AnBx_Agent`
  `getDest()`
  Get the destination agent of the channel mode.
  `AnBx_Agent`
  `getOrig()`
  Get the origin agent of the channel mode.
  `AnBx_Agent[]`
  `getVers()`
  Get the array of version agents.
  `boolean`
  `isFresh()`
  Check if the channel mode is fresh.
  `boolean`
  `isFrw()`
  Check if the channel mode is forward.

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnBx_ChannelMode

    public AnBx_ChannelMode(AnBx_Agent orig, AnBx_Agent dest, AnBx_Agent[] vers, boolean frw, boolean fresh)
    Constructor for AnBx_ChannelMode.
    Parameters:
      `orig` - The origin agent of the channel mode.
      `dest` - The destination agent of the channel mode.
      `vers` - The array of version agents.
      `frw` - Flag indicating if the channel mode is forward.
      `fresh` - Flag indicating if the channel mode is fresh.

- ## Method Details

  - ### getOrig

    public AnBx_Agent getOrig()
    Get the origin agent of the channel mode.
    Returns:
      The origin agent.

  - ### getDest

    public AnBx_Agent getDest()
    Get the destination agent of the channel mode.
    Returns:
      The destination agent.

  - ### getVers

    public AnBx_Agent[] getVers()
    Get the array of version agents.
    Returns:
      The array of version agents.

  - ### isFrw

    public boolean isFrw()
    Check if the channel mode is forward.
    Returns:
      True if the channel mode is forward, false otherwise.

  - ### isFresh

    public boolean isFresh()
    Check if the channel mode is fresh.
    Returns:
      True if the channel mode is fresh, false otherwise.